## snort 3.10.1.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5)
project (snort CXX C)

set (VERSION_MAJOR 3)
set (VERSION_MINOR 10)
set (VERSION_PATCH 1)
set (VERSION_SUBLEVEL 0)
set (VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUBLEVEL}")

if (DEFINED VERSION_BUILD)
    set (BUILD "${VERSION_BUILD}")
endif ()

set (CMAKE_CXX_STANDARD 17)
set (CMAKE_CXX_STANDARD_REQUIRED ON)
set (CMAKE_CXX_EXTENSIONS OFF)

set (CMAKE_C_STANDARD 99)
set (CMAKE_C_STANDARD_REQUIRED ON)
set (CMAKE_C_EXTENSIONS ON)

# dump compile_commands.json to make it easier to use clangd with IDEs
set (CMAKE_EXPORT_COMPILE_COMMANDS ON)

set (CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
# Pull in definitions of various install directories
include (GNUInstallDirs)
include (${CMAKE_MODULE_PATH}/macros.cmake)
include (${CMAKE_MODULE_PATH}/create_options.cmake)
include (${CMAKE_MODULE_PATH}/include_libraries.cmake)
include (${CMAKE_MODULE_PATH}/platforms.cmake)
include (${CMAKE_MODULE_PATH}/configure_options.cmake)
#include (${CMAKE_MODULE_PATH}/compiler_features.cmake)
include (${CMAKE_MODULE_PATH}/sanity_checks.cmake)

set (INSTALL_SUFFIX "${CMAKE_PROJECT_NAME}")
set (INCLUDE_INSTALL_PATH "${CMAKE_INSTALL_INCLUDEDIR}/${INSTALL_SUFFIX}")
set (LIB_INSTALL_PATH "${CMAKE_INSTALL_LIBDIR}/${INSTALL_SUFFIX}")
set (PLUGIN_INSTALL_PATH "${LIB_INSTALL_PATH}/plugins")

configure_file (
    "${PROJECT_SOURCE_DIR}/config.cmake.h.in"
    "${PROJECT_BINARY_DIR}/config.h"
)

add_definitions( -DHAVE_CONFIG_H )

# Set these after all tests are done but *before* any subdirectories are included
#  or other targets declared.
string(APPEND CMAKE_C_FLAGS " ${EXTRA_C_FLAGS}")
string(APPEND CMAKE_CXX_FLAGS " ${EXTRA_CXX_FLAGS}")
string(APPEND CMAKE_EXE_LINKER_FLAGS " ${EXTRA_LINKER_FLAGS}")
string(APPEND CMAKE_MODULE_LINKER_FLAGS " ${EXTRA_LINKER_FLAGS}")

include_directories (${PROJECT_BINARY_DIR})
include_directories (${PROJECT_SOURCE_DIR})

if (ENABLE_UNIT_TESTS)
    include(CTest)
endif (ENABLE_UNIT_TESTS)

if (ENABLE_UNIT_TESTS OR ENABLE_BENCHMARK_TESTS)
    add_custom_target (check COMMAND ${CMAKE_CTEST_COMMAND})
endif (ENABLE_UNIT_TESTS OR ENABLE_BENCHMARK_TESTS)

add_subdirectory (src)
add_subdirectory (tools)
add_subdirectory (lua)
add_subdirectory (daqs)

if ( MAKE_DOC )
    add_subdirectory (doc)
endif ( MAKE_DOC )

# Miscellaneous stuff.  Does NOT directly affect Snort's build environment.
include (${CMAKE_MODULE_PATH}/packaging_data.cmake)
include (${CMAKE_MODULE_PATH}/create_pkg_config.cmake)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

string(TOUPPER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_UPPER)

message("
-------------------------------------------------------")
if (DEFINED BUILD)
    message("${CMAKE_PROJECT_NAME} version ${VERSION} build ${BUILD}")
else()
    message("${CMAKE_PROJECT_NAME} version ${VERSION}")
endif()
message("
Install options:
    prefix:     ${CMAKE_INSTALL_PREFIX}
    includes:   ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${INSTALL_SUFFIX}
    plugins:    ${CMAKE_INSTALL_FULL_LIBDIR}/${INSTALL_SUFFIX}

Compiler options:
    CC:             ${CMAKE_C_COMPILER}
    CXX:            ${CMAKE_CXX_COMPILER}
    CFLAGS:         ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_${CMAKE_BUILD_TYPE_UPPER}}
    CXXFLAGS:       ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${CMAKE_BUILD_TYPE_UPPER}}
    EXE_LDFLAGS:    ${CMAKE_EXE_LINKER_FLAGS}
    MODULE_LDFLAGS: ${CMAKE_MODULE_LINKER_FLAGS}

Feature options:\
")

if (ENABLE_STATIC_DAQ)
    message("\
    DAQ Modules:    Static (${DAQ_STATIC_MODULES})")
else ()
    message("\
    DAQ Modules:    Dynamic")
endif ()

if (HAVE_ATOMIC)
    message("\
    libatomic:      User-specified")
else ()
    message("\
    libatomic:      System-provided")
endif ()

if (HAVE_HYPERSCAN)
    message("\
    Hyperscan:      ON")
else ()
    message("\
    Hyperscan:      OFF")
endif ()

if (HAVE_ICONV)
    message("\
    ICONV:          ON")
else ()
    message("\
    ICONV:          OFF")
endif ()

if (HAVE_LIBUNWIND)
    message("\
    Libunwind:      ON")
else ()
    message("\
    Libunwind:      OFF")
endif ()

if (HAVE_LZMA)
    message("\
    LZMA:           ON")
else ()
    message("\
    LZMA:           OFF")
endif ()

if (USE_TIRPC)
    message("\
    RPC DB:         TIRPC")
else ()
    message("\
    RPC DB:         Built-in")
endif ()

if (HAVE_SAFEC)
    message("\
    SafeC:          ON")
else ()
    message("\
    SafeC:          OFF")
endif ()

if (HAVE_TCMALLOC)
    message("\
    TCMalloc:       ON")
else ()
    message("\
    TCMalloc:       OFF")
endif ()

if (HAVE_JEMALLOC)
    message("\
    JEMalloc:       ON")
else ()
    message("\
    JEMalloc:       OFF")
endif ()

if (HAVE_UUID)
    message("\
    UUID:           ON")
else ()
    message("\
    UUID:           OFF")
endif ()

if (HAVE_NUMA)
    message("\
    NUMA:           ON")
else ()
    message("\
    NUMA:           OFF")
endif ()

if (HAVE_LIBML)
    message("\
    LibML:          ON")
else ()
    message("\
    LibML:          OFF")
endif ()

message("-------------------------------------------------------\n")

=== doc/user/CMakeLists.txt ===

set (
    UNBUILT_SOURCES
    active.txt
    appid.txt
    binder.txt
    byte_extract.txt
    byte_jump.txt
    byte_math.txt
    byte_options.txt
    byte_test.txt
    concepts.txt
    connectors.txt
    dump_config.txt
    daq.txt
    dcerpc.txt
    errors.txt
    extractor.txt
    features.txt
    file_processing.txt
    ftp.txt
    high_availability.txt
    http_inspect.txt
    http2_inspect.txt
    iec104.txt
    js_norm.txt
    mms.txt
    opcua.txt
    overview.txt
    params.txt
    perf_monitor.txt
    pop_imap.txt
    port_scan.txt
    sensitive_data.txt
    side_channel.txt
    smtp.txt
    snort2x.png
    snort3x.png
    snort_user.txt
    snorty.png
    telnet.txt
    terms.txt
    trace.txt
    tutorial.txt
    usage.txt
    wizard.txt
)

set (
    DEFAULT_MANUALS
    snort_user.text
)

foreach ( file_name ${UNBUILT_SOURCES} )
    list (
        APPEND
        LIST_DIR_SOURCES
        "${CMAKE_CURRENT_LIST_DIR}/${file_name}"
    )
endforeach ( file_name )

add_custom_command (
    OUTPUT version.txt
    COMMAND $<TARGET_FILE:snort> -V 2>&1 | grep -o "Version.*$" > version.txt
    COMMAND sed -i -e "s/Version/:revnumber:/" version.txt
    DEPENDS snort
    COMMENT "Documents: building version.txt"
)

list ( APPEND BUILT_SOURCES version.txt )

foreach ( file_name ${BUILT_SOURCES} )
    list (
        APPEND
        BINARY_DIR_BUILT_SOURCES
        "${CMAKE_CURRENT_BINARY_DIR}/${file_name}"
    )
endforeach ( file_name )

add_custom_target (
    usr_built_sources
    DEPENDS ${BUILT_SOURCES}
)

if ( MAKE_HTML_DOC )
    set (
        HTML_ASCIIDOC_ARGS
        -b xhtml11 -a toc2 -a icons -a imagesdir=.
    )

    set (
        HTML_A2X_ARGS
        --format=chunked
        --attribute=linkcss --attribute=stylesdir --attribute=disable-javascript
        --xsltproc-opts=\"--stringparam chunk.tocs.and.lots 1\"
        --attribute=quirks! --attribute=imagesdir=.
        --resource=.
    )

    set ( HTML_DOC_TMP "${CMAKE_CURRENT_BINARY_DIR}/html/" )

    add_custom_command (
        OUTPUT "${HTML_DOC_TMP}/"
        COMMAND mkdir -p ${HTML_DOC_TMP}
    )

    add_custom_command (
        OUTPUT snort_user.html snort_online.html
        COMMAND cp ${LIST_DIR_SOURCES} ${BINARY_DIR_BUILT_SOURCES} ./
        COMMAND ${ASCIIDOC_EXE} ${HTML_ASCIIDOC_ARGS} snort_user.txt
        COMMAND ${CMAKE_CURRENT_LIST_DIR}/online_manual.sh
        COMMAND mv snort_user.html snort_online.html ../
        DEPENDS usr_built_sources "${HTML_DOC_TMP}/"
        WORKING_DIRECTORY ${HTML_DOC_TMP}
        COMMENT "Documents: building snort_user.html and snort_online.html"
    )

    set ( TGZ_DOC_TMP "${CMAKE_CURRENT_BINARY_DIR}/tgz/" )

    add_custom_command (
        OUTPUT "${TGZ_DOC_TMP}/"
        COMMAND mkdir -p ${TGZ_DOC_TMP}
    )

    add_custom_command (
        OUTPUT snort_user.tgz
        COMMAND cp ${LIST_DIR_SOURCES} ${BINARY_DIR_BUILT_SOURCES} ./
        COMMAND ${ASCIIDOC_A2X_EXE} ${HTML_A2X_ARGS} snort_user.txt
        COMMAND tar zcf ../snort_user.tgz snort_user.chunked
        DEPENDS usr_built_sources "${TGZ_DOC_TMP}/"
        WORKING_DIRECTORY ${TGZ_DOC_TMP}
        COMMENT "Documents: building snort_user.tgz"
    )

    add_custom_target (
        docs-user-html
        DEPENDS snort_user.html snort_user.tgz
    )

    foreach ( file_name ${UNBUILT_SOURCES} )
        list (
            APPEND
            BINARY_DIR_UNBUILT_SOURCES
            "${CMAKE_CURRENT_BINARY_DIR}/${file_name}"
        )
    endforeach ( file_name )

endif ( MAKE_HTML_DOC )

if ( MAKE_TEXT_DOC )
    set (
        TEXT_A2X_ARGS
        --format=text
    )

    set ( TEXT_DOC_TMP "${CMAKE_CURRENT_BINARY_DIR}/text" )

    add_custom_command (
        OUTPUT "${TEXT_DOC_TMP}/"
        COMMAND mkdir -p ${TEXT_DOC_TMP}
    )

    add_custom_command (
        OUTPUT snort_user.text
        COMMAND cp ${LIST_DIR_SOURCES} ${BINARY_DIR_BUILT_SOURCES} ./
        COMMAND ${ASCIIDOC_A2X_EXE} ${TEXT_A2X_ARGS} snort_user.txt
        COMMAND mv snort_user.text ../
        DEPENDS usr_built_sources "${TEXT_DOC_TMP}/"
        WORKING_DIRECTORY ${TEXT_DOC_TMP}
        COMMENT "Documents: building snort_user.text"
    )

    add_custom_target (
        docs-user-text
        DEPENDS snort_user.text
    )

endif ( MAKE_TEXT_DOC )

if ( MAKE_PDF_DOC )
    set (
        PDF_A2X_ARGS
        --format=pdf
        --attribute=imagesdir=.
    )

    set ( PDF_DOC_TMP "${CMAKE_CURRENT_BINARY_DIR}/pdf" )

    add_custom_command (
        OUTPUT "${PDF_DOC_TMP}/"
        COMMAND mkdir -p ${PDF_DOC_TMP}
    )

    add_custom_command (
        OUTPUT snort_user.pdf
        COMMAND cp ${LIST_DIR_SOURCES} ${BINARY_DIR_BUILT_SOURCES} ./
        COMMAND ${ASCIIDOC_A2X_EXE} ${PDF_A2X_ARGS} snort_user.txt
        COMMAND mv snort_user.pdf ../
        DEPENDS usr_built_sources "${PDF_DOC_TMP}/"
        WORKING_DIRECTORY ${PDF_DOC_TMP}
        COMMENT "Documents: building snort_user.pdf"
    )

    add_custom_target (
        docs-user-pdf
        DEPENDS snort_user.pdf
    )

endif ( MAKE_PDF_DOC )

install (
    FILES
    ${UNBUILT_SOURCES}
    ${DEFAULT_MANUALS}
    DESTINATION
    ${CMAKE_INSTALL_DOCDIR}
)

set (
    EXTRA_CLEAN
    ${BINARY_DIR_BUILT_SOURCES}
)

if ( NOT CMAKE_CURRENT_LIST_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR )
    list (
        APPEND
        EXTRA_CLEAN
        ${BINARY_DIR_UNBUILT_SOURCES}
    )
endif ()

if ( EXTRA_CLEAN )
    set_property (
        DIRECTORY
        PROPERTY
        ADDITIONAL_MAKE_CLEAN_FILES ${EXTRA_CLEAN}
    )
endif ( EXTRA_CLEAN )

=== src/actions/CMakeLists.txt ===

set (IPS_ACTION_SOURCES
    actions_module.cc
    actions_module.h
    ips_actions.cc
    ips_actions.h
)

set( PLUGIN_LIST
    act_alert.cc
    act_block.cc
    act_drop.cc
    act_file_id.cc
    act_log.cc
    act_pass.cc
    act_react.cc
    act_reject.cc
    act_replace.cc
    )

if (STATIC_IPS_ACTIONS)
    add_library ( ips_actions OBJECT
        ${IPS_ACTION_SOURCES}
        ${PLUGIN_LIST}
    )

else (STATIC_IPS_ACTIONS)

    add_library ( ips_actions OBJECT
        ${IPS_ACTION_SOURCES}
    )

    add_dynamic_module(act_alert ips_actions act_alert.cc actions_module.cc)
    add_dynamic_module(act_block ips_actions act_block.cc actions_module.cc)
    add_dynamic_module(act_drop ips_actions act_drop.cc actions_module.cc)
    add_dynamic_module(act_file_id ips_actions act_file_id.cc actions_module.cc)
    add_dynamic_module(act_log ips_actions act_log.cc actions_module.cc)
    add_dynamic_module(act_pass ips_actions act_pass.cc actions_module.cc)
    add_dynamic_module(act_react ips_actions act_react.cc actions_module.cc)
    add_dynamic_module(act_reject ips_actions act_reject.cc actions_module.cc)
    add_dynamic_module(act_replace ips_actions act_replace.cc actions_module.cc)

endif (STATIC_IPS_ACTIONS)

=== src/file_api/CMakeLists.txt ===

set( FILE_API_INCLUDES
    file_api.h
    file_capture.h
    file_flows.h
    file_lib.h
    file_service.h
)

add_library ( file_api OBJECT
    ${FILE_API_INCLUDES}
    circular_buffer.cc
    circular_buffer.h
    file_api.cc
    file_capture.cc
    file_cache.cc
    file_cache.h
    file_cache_share.cc
    file_cache_share.h
    file_config.cc
    file_config.h
    file_flows.cc
    file_identifier.cc
    file_identifier.h
    file_inspect.cc
    file_inspect.h
    file_lib.cc
    file_log.cc
    file_mempool.cc
    file_mempool.h
    file_module.cc
    file_module.h
    file_policy.cc
    file_policy.h
    file_segment.cc
    file_segment.h
    file_service.cc
    file_stats.cc
    file_stats.h
)

install (FILES ${FILE_API_INCLUDES}
    DESTINATION "${INCLUDE_INSTALL_PATH}/file_api"
)

=== src/flow/CMakeLists.txt ===
set (FLOW_INCLUDES
    deferred_trust.h
    expect_flow.h
    flow.h
    flow_data.h
    flow_key.h
    flow_stash.h
    ha.h
    prune_stats.h
    session.h
    stream_flow.h
)

add_library (flow OBJECT
    ${FLOW_INCLUDES}
    deferred_trust.cc
    expect_cache.cc
    flow.cc
    flow_cache.cc
    expect_cache.h
    flow_cache.h
    flow_config.h
    flow_control.cc
    flow_control.h
    flow_data.cc
    flow_key.cc
    flow_stash.cc
    flow_stash.h
    flow_uni_list.h
    ha.cc
    ha_module.cc
    ha_module.h
    prune_stats.h
    filter_flow_critera.h
)

install(FILES ${FLOW_INCLUDES}
    DESTINATION ${INCLUDE_INSTALL_PATH}/flow
)

add_subdirectory(test)

=== src/helpers/CMakeLists.txt ===

if ( HAVE_HYPERSCAN )
    set(HYPER_HEADERS
        hyper_scratch_allocator.h
        hyper_search.h
    )
    set(HYPER_SOURCES
        hyper_scratch_allocator.cc
        hyper_search.cc
    )
endif ()

set (HELPERS_INCLUDES
    ${HYPER_HEADERS}
    base64_encoder.h
    ber.h
    bitop.h
    boyer_moore.h
    boyer_moore_search.h
    buffer_data.h
    event_gen.h
    infractions.h
    json_stream.h
    literal_search.h
    memcap_allocator.h
    ring2.h
    scratch_allocator.h
    sigsafe.h
    utf.h
)

add_library (helpers OBJECT
    ${HELPERS_INCLUDES}
    ${HYPER_SOURCES}
    base64_encoder.cc
    ber.cc
    boyer_moore.cc
    boyer_moore_search.cc
    buffer_data.cc
    directory.cc
    directory.h
    discovery_filter.cc
    discovery_filter.h
    flag_context.h
    grouped_list.h
    json_stream.cc
    literal_search.cc
    markup.cc
    markup.h
    primed_allocator.h
    ring.h
    ring_logic.h
    sigsafe.cc
    scratch_allocator.cc
    streambuf.cc
    streambuf.h
    utf.cc
)

install (FILES ${HELPERS_INCLUDES}
    DESTINATION "${INCLUDE_INSTALL_PATH}/helpers"
)

add_catch_test( base64_encoder_test
    NO_TEST_SOURCE
    SOURCES
        base64_encoder.cc
)

add_catch_test( sigsafe_test
    NO_TEST_SOURCE
    SOURCES
        sigsafe.cc
)

add_subdirectory(test)

=== src/host_tracker/CMakeLists.txt ===
set (HOST_TRACKER_INCLUDES
    cache_allocator.h
    cache_interface.h
    host_cache.h
    host_tracker.h
)

add_library( host_tracker OBJECT
    ${HOST_TRACKER_INCLUDES}
    cache_allocator.cc
    host_cache.cc
    host_cache_module.cc
    host_cache_module.h
    host_cache_segmented.h
    host_tracker_module.cc
    host_tracker_module.h
    host_tracker.cc
    host_tracker_stats.h
)

add_subdirectory ( test )

install(FILES ${HOST_TRACKER_INCLUDES}
    DESTINATION "${INCLUDE_INSTALL_PATH}/host_tracker"
)

=== src/ips_options/CMakeLists.txt ===

SET( PLUGIN_LIST
    ips_ack.cc
    ips_base64.cc
    ips_ber_data.cc
    ips_ber_skip.cc
    ips_bufferlen.cc
    ips_byte_extract.cc
    ips_byte_jump.cc
    ips_byte_math.cc
    ips_byte_test.cc
    ips_classtype.cc
    ips_content.cc
    ips_cvs.cc
    ips_dsize.cc
    ips_enable.cc
    ips_file_data.cc
    ips_file_meta.cc
    ips_file_type.cc
    ips_flags.cc
    ips_flow.cc
    ips_fragbits.cc
    ips_fragoffset.cc
    ips_gid.cc
    ips_hash.cc
    ips_icmp_id.cc
    ips_icmp_seq.cc
    ips_icode.cc
    ips_id.cc
    ips_ipopts.cc
    ips_ip_proto.cc
    ips_isdataat.cc
    ips_itype.cc
    ips_js_data.cc
    ips_metadata.cc
    ips_msg.cc
    ips_pkt_data.cc
    ips_priority.cc
    ips_raw_data.cc
    ips_reference.cc
    ips_rem.cc
    ips_rev.cc
    ips_rpc.cc
    ips_seq.cc
    ips_service.cc
    ips_sid.cc
    ips_soid.cc
    ips_tag.cc
    ips_target.cc
    ips_tos.cc
    ips_ttl.cc
    ips_window.cc
)

set (IPS_SOURCES
    ips_detection_filter.cc
    ips_flowbits.cc
    ips_flowbits.h
    ips_luajit.cc
    ips_options.cc
    ips_options.h
    ips_pcre.cc
    ips_replace.cc
    ips_so.cc
    ips_vba_data.cc
    ips_vba_data.h
)

if ( HAVE_HYPERSCAN )
    set(PLUGIN_LIST
        ${PLUGIN_LIST}
        ips_regex.cc
        ips_sd_pattern.cc
        sd_credit_card.cc sd_credit_card.h)
endif ()

if (STATIC_IPS_OPTIONS)

    add_library ( ips_options OBJECT
        ${IPS_SOURCES}
        ${PLUGIN_LIST}
    )

else (STATIC_IPS_OPTIONS)

    add_library ( ips_options OBJECT
        ${IPS_SOURCES}
    )

    add_dynamic_module(ips_content ips_options ips_content.cc)
    add_dynamic_module(ips_hash ips_options ips_hash.cc)
    add_dynamic_module(ips_ack ips_options ips_ack.cc)
    add_dynamic_module(ips_base64 ips_options ips_base64.cc)
    add_dynamic_module(ips_ber_data ips_options ips_ber_data.cc)
    add_dynamic_module(ips_ber_skip ips_options ips_ber_skip.cc)
    add_dynamic_module(ips_bufferlen ips_options ips_bufferlen.cc)
    add_dynamic_module(ips_byte_extract ips_options ips_byte_extract.cc)
    add_dynamic_module(ips_byte_jump ips_options ips_byte_jump.cc)
    add_dynamic_module(ips_byte_math ips_options ips_byte_math.cc)
    add_dynamic_module(ips_byte_test ips_options ips_byte_test.cc)
    add_dynamic_module(ips_classtype ips_options ips_classtype.cc)
    add_dynamic_module(ips_cvs ips_options ips_cvs.cc)
    add_dynamic_module(ips_dsize ips_options ips_dsize.cc)
    add_dynamic_module(ips_enable ips_options ips_enable.cc)
    add_dynamic_module(ips_file_data ips_options ips_file_data.cc)
    add_dynamic_module(ips_file_meta ips_options ips_file_meta.cc)
    add_dynamic_module(ips_file_type ips_options ips_file_type.cc)
    add_dynamic_module(ips_flags ips_options ips_flags.cc)
    add_dynamic_module(ips_flow ips_options ips_flow.cc)
    add_dynamic_module(ips_fragbits ips_options ips_fragbits.cc)
    add_dynamic_module(ips_fragoffset ips_options ips_fragoffset.cc)
    add_dynamic_module(ips_gid ips_options ips_gid.cc)
    add_dynamic_module(ips_icode ips_options ips_icode.cc)
    add_dynamic_module(ips_icmp_id ips_options ips_icmp_id.cc)
    add_dynamic_module(ips_icmp_seq ips_options ips_icmp_seq.cc)
    add_dynamic_module(ips_id ips_options ips_id.cc)
    add_dynamic_module(ips_ipopts ips_options ips_ipopts.cc)
    add_dynamic_module(ips_ip_proto ips_options ips_ip_proto.cc)
    add_dynamic_module(ips_isdataat ips_options ips_isdataat.cc)
    add_dynamic_module(ips_itype ips_options ips_itype.cc)
    add_dynamic_module(ips_js_data ips_options ips_js_data.cc)
    add_dynamic_module(ips_metadata ips_options ips_metadata.cc)
    add_dynamic_module(ips_msg ips_options ips_msg.cc)
    add_dynamic_module(ips_pkt_data ips_options ips_pkt_data.cc)
    add_dynamic_module(ips_priority ips_options ips_priority.cc)
    add_dynamic_module(ips_raw_data ips_options ips_raw_data.cc)
    add_dynamic_module(ips_reference ips_options ips_reference.cc)
    add_dynamic_module(ips_rem ips_options ips_rem.cc)
    add_dynamic_module(ips_rev ips_options ips_rev.cc)
    add_dynamic_module(ips_rpc ips_options ips_rpc.cc)
    add_dynamic_module(ips_service ips_options ips_service.cc)
    add_dynamic_module(ips_sid ips_options ips_sid.cc)
    add_dynamic_module(ips_seq ips_options ips_seq.cc)
    add_dynamic_module(ips_soid ips_options ips_soid.cc)
    add_dynamic_module(ips_tag ips_options ips_tag.cc)
    add_dynamic_module(ips_target ips_options ips_target.cc)
    add_dynamic_module(ips_tos ips_options ips_tos.cc)
    add_dynamic_module(ips_ttl ips_options ips_ttl.cc)
    add_dynamic_module(ips_window ips_options ips_window.cc)
if ( HAVE_HYPERSCAN )
    add_dynamic_module(ips_regex ips_options ips_regex.cc)
    add_dynamic_module(ips_sd_pattern ips_options ips_sd_pattern.cc sd_credit_card.cc sd_credit_card.h)
endif ( HAVE_HYPERSCAN )

endif (STATIC_IPS_OPTIONS)

add_subdirectory(test)

=== src/log/CMakeLists.txt ===

set (LOG_INCLUDES
    log_stats.h
    log_text.h
    messages.h
    obfuscator.h
    text_log.h
    unified2.h
    u2_packet.h
)

add_library ( log OBJECT
    ${LOG_INCLUDES}
    batched_logger.cc
    batched_logger.h
    log.cc
    log.h
    log_errors.h
    log_stats.cc
    log_text.cc
    messages.cc
    obfuscator.cc
    text_log.cc
    u2_packet.cc
)

install(FILES ${LOG_INCLUDES}
    DESTINATION "${INCLUDE_INSTALL_PATH}/log"
)

add_subdirectory ( test )

=== src/network_inspectors/CMakeLists.txt ===

add_subdirectory(appid)
add_subdirectory(arp_spoof)
add_subdirectory(binder)
add_subdirectory(extractor)

if ( HAVE_LIBML OR USE_LIBML_MOCK )
    add_subdirectory(snort_ml)
endif()

add_subdirectory(normalize)
add_subdirectory(packet_capture)
add_subdirectory(perf_monitor)
add_subdirectory(port_scan)
add_subdirectory(reputation)
add_subdirectory(rna)

if(STATIC_INSPECTORS)
    set(STATIC_INSPECTOR_OBJS
        $<TARGET_OBJECTS:arp_spoof>
        $<TARGET_OBJECTS:packet_capture>
        $<TARGET_OBJECTS:perf_monitor>
    )
endif()

if ( HAVE_LIBML OR USE_LIBML_MOCK )
    set(SNORT_ML_STATIC_OBJ
        $<TARGET_OBJECTS:snort_ml>
    )
endif()

set(STATIC_NETWORK_INSPECTOR_PLUGINS
    $<TARGET_OBJECTS:appid>
    $<TARGET_OBJECTS:binder>
    $<TARGET_OBJECTS:extractor>
    ${SNORT_ML_STATIC_OBJ}
    $<TARGET_OBJECTS:normalize>
    $<TARGET_OBJECTS:port_scan>
    $<TARGET_OBJECTS:reputation>
    $<TARGET_OBJECTS:rna>
    ${STATIC_INSPECTOR_OBJS}
    CACHE INTERNAL "STATIC_NETWORK_INSPECTOR_PLUGINS"
)

add_library( network_inspectors OBJECT
    network_inspectors.cc
    network_inspectors.h
)

=== src/service_inspectors/CMakeLists.txt ===

add_subdirectory(back_orifice)
add_subdirectory(cip)
add_subdirectory(dce_rpc)
add_subdirectory(dnp3)
add_subdirectory(dns)
add_subdirectory(ftp_telnet)
add_subdirectory(gtp)
add_subdirectory(http_inspect)
add_subdirectory(http2_inspect)
add_subdirectory(iec104)
add_subdirectory(imap)
add_subdirectory(mms)
add_subdirectory(modbus)
add_subdirectory(netflow)
add_subdirectory(opcua)
add_subdirectory(pop)
add_subdirectory(rpc_decode)
add_subdirectory(s7commplus)
add_subdirectory(sip)
add_subdirectory(smtp)
add_subdirectory(ssh)
add_subdirectory(ssl)
add_subdirectory(tlv_pdu)
add_subdirectory(wizard)

if (STATIC_INSPECTORS)
    set (STATIC_INSPECTOR_OBJS
        $<TARGET_OBJECTS:back_orifice>
        $<TARGET_OBJECTS:cip>
        $<TARGET_OBJECTS:dce_rpc>
        $<TARGET_OBJECTS:dnp3>
        $<TARGET_OBJECTS:ftp_telnet>
        $<TARGET_OBJECTS:gtp_inspect>
        $<TARGET_OBJECTS:iec104>
        $<TARGET_OBJECTS:imap>
        $<TARGET_OBJECTS:mms>
        $<TARGET_OBJECTS:modbus>
        $<TARGET_OBJECTS:netflow>
        $<TARGET_OBJECTS:opcua>
        $<TARGET_OBJECTS:pop>
        $<TARGET_OBJECTS:rpc_decode>
        $<TARGET_OBJECTS:s7commplus>
        $<TARGET_OBJECTS:smtp>
        $<TARGET_OBJECTS:ssh>
        $<TARGET_OBJECTS:ssl>
        $<TARGET_OBJECTS:tlv_pdu>
        $<TARGET_OBJECTS:wizard>
    )
endif()

set(STATIC_SERVICE_INSPECTOR_PLUGINS
    $<TARGET_OBJECTS:http_inspect>
    $<TARGET_OBJECTS:http2_inspect>
    $<TARGET_OBJECTS:sip>
    $<TARGET_OBJECTS:dns>
    ${STATIC_INSPECTOR_OBJS}
    CACHE INTERNAL "STATIC_SERVICE_INSPECTOR_PLUGINS"
)

add_library( service_inspectors OBJECT
    service_inspectors.cc
    service_inspectors.h
)

=== src/codecs/ip/CMakeLists.txt ===

if( STATIC_CODECS )
    set( PLUGIN_SOURCES
        cd_auth.cc
        cd_bad_proto.cc
        cd_dst_opts.cc
        cd_esp.cc
        cd_frag.cc
        cd_gre.cc
        cd_icmp4.cc
        cd_icmp6.cc
        cd_igmp.cc
        cd_no_next.cc
        cd_mobility.cc
        cd_pgm.cc
        cd_routing.cc
        cd_udp.cc
    )

else()
    add_dynamic_module(cd_auth codecs cd_auth.cc)
    add_dynamic_module(cd_bad_proto codecs cd_bad_proto.cc)
    add_dynamic_module(cd_dst_opts codecs cd_dst_opts.cc)
    add_dynamic_module(cd_esp codecs cd_esp.cc)
    add_dynamic_module(cd_frag codecs cd_frag.cc)
    add_dynamic_module(cd_gre codecs cd_gre.cc)
#    add_dynamic_module(cd_hopopts codecs cd_hop_opts.cc)
    add_dynamic_module(cd_icmp4 codecs cd_icmp4.cc checksum.h)
    add_dynamic_module(cd_icmp6 codecs cd_icmp6.cc checksum.h)
    add_dynamic_module(cd_igmp codecs cd_igmp.cc)
#    add_dynamic_module(cd_ipv4 codecs cd_ipv4.cc checksum.h)
#    add_dynamic_module(cd_ipv6 codecs cd_ipv6.cc checksum.h)
    add_dynamic_module(cd_mobility codecs cd_mobility.cc)
    add_dynamic_module(cd_no_next codecs cd_no_next.cc)
    add_dynamic_module(cd_pgm codecs cd_pgm.cc checksum.h)
    add_dynamic_module(cd_routing codecs cd_routing.cc)
#    add_dynamic_module(cd_tcp codecs cd_tcp.cc checksum.h)
    add_dynamic_module(cd_udp codecs cd_udp.cc checksum.h)

endif()


add_library( ip_codecs OBJECT
    cd_ipv4.cc # Static due to its dependence on fpdetect
    cd_ipv6.cc # Static due to its dependence on fpdetect
    cd_hop_opts.cc  #  Ensured the symbols CheckIPV6HopOptions && CheckIPv6ExtensionOrder are in the binary.
    cd_tcp.cc  # Only file to use some functions.  Must be included in binary.
    checksum.h
    ${PLUGIN_SOURCES}
)

=== debian/changelog ===
snort (3.10.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.10.1.0
  * Update debian/copyright
  * Refresh patches
  * Update minimal required version of libdaq3-dev
  * Fix debian/copyright
  * Bump Standards-Version to 4.7.3
  * Update debian/watch to Version 5

 -- Sophie Brun <sophie@kali.org>  Tue, 20 Jan 2026 13:26:26 +0100

## snort 3.10.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set (VERSION_MAJOR 3)
 set (VERSION_MINOR 10)
-set (VERSION_PATCH 1)
+set (VERSION_PATCH 2)
 set (VERSION_SUBLEVEL 0)
 set (VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUBLEVEL}")

=== tools/CMakeLists.txt ===

add_subdirectory(u2boat)
add_subdirectory(u2spewfoo)
add_subdirectory(snort2lua)
add_subdirectory(show_flows)


install (FILES appid_detector_builder.sh
    PERMISSIONS OWNER_EXECUTE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
)

=== doc/devel/CMakeLists.txt ===

set (
    UNBUILT_SOURCES
    snort_devel.txt
    extending.txt
    style.txt
    versions.txt
)

foreach ( file_name ${UNBUILT_SOURCES} )
    list (
        APPEND
        LIST_DIR_SOURCES
        "${CMAKE_CURRENT_LIST_DIR}/${file_name}"
    )
endforeach ( file_name )

set ( BUILT_DIST ${BINARY_DIR_BUILT_SOURCES} ${BINARY_DIR_UNBUILT_SOURCES} )

add_custom_command (
    OUTPUT version.txt
    COMMAND $<TARGET_FILE:snort> -V 2>&1 | grep -o "Version.*$" > version.txt
    COMMAND sed -i -e "s/Version/:revnumber:/" version.txt
    COMMAND echo ":revdate: {localdate} {localtime}" >> version.txt
    DEPENDS snort
    COMMENT "Documents: building version.txt"
)

list ( APPEND BUILT_SOURCES version.txt )

add_custom_target (
    dev_built_sources
    DEPENDS ${BUILT_SOURCES}
)

if ( MAKE_HTML_DOC )

    set ( HTML_DOC_TMP "${CMAKE_CURRENT_BINARY_DIR}/html/" )

    add_custom_command (
        OUTPUT "${HTML_DOC_TMP}/"
        COMMAND mkdir -p ${HTML_DOC_TMP}
    )

    add_custom_command (
        OUTPUT snort_devel.html
        COMMAND mv ../${BUILT_SOURCES} ./
        COMMAND cp ${LIST_DIR_SOURCES} ${BINARY_DIR_BUILT_SOURCES} ./
        COMMAND ${CMAKE_CURRENT_LIST_DIR}/snort_devel.sh ${CMAKE_SOURCE_DIR}
        COMMAND mv snort_devel.html ../
        DEPENDS dev_built_sources "${HTML_DOC_TMP}/"
        WORKING_DIRECTORY ${HTML_DOC_TMP}
        COMMENT "Documents: building dev guide"
    )

    add_custom_target (
        docs-devel-html
        DEPENDS snort_devel.html
    )

endif ( MAKE_HTML_DOC )

install (
    FILES
    ${BUILT_DIST}
    ${UNBUILT_SOURCES}
    DESTINATION
    ${CMAKE_INSTALL_DOCDIR}
)

set (
    EXTRA_CLEAN
    ${EXTRA_CLEAN}
    ${BINARY_DIR_BUILT_SOURCES}
)

if ( NOT CMAKE_CURRENT_LIST_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR )
    list (
        APPEND
        EXTRA_CLEAN
        ${BINARY_DIR_UNBUILT_SOURCES}
    )
endif ()

if ( EXTRA_CLEAN )
    set_property (
        DIRECTORY
        PROPERTY
        ADDITIONAL_MAKE_CLEAN_FILES ${EXTRA_CLEAN}
    )
endif ( EXTRA_CLEAN )

=== src/flow/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
 set (FLOW_INCLUDES
     deferred_trust.h
+    dump_flows.h
+    dump_flows_descriptor.h
+    dump_flows_serializer.h
     expect_flow.h
     flow.h
     flow_data.h
@@ -14,6 +17,8 @@
 add_library (flow OBJECT
     ${FLOW_INCLUDES}
     deferred_trust.cc
+    dump_flows.cc
+    dump_flows_serializer.cc
     expect_cache.cc
     flow.cc
     flow_cache.cc
@@ -31,7 +36,6 @@
     ha_module.cc
     ha_module.h
     prune_stats.h
-    filter_flow_critera.h
 )
 
 install(FILES ${FLOW_INCLUDES}

=== src/hash/CMakeLists.txt ===

set (HASH_INCLUDES
    hashes.h
    hash_key_operations.h
    lru_cache_local.h
    lru_cache_shared.h
    lru_segmented_cache_shared.h
    xhash.h
)

add_library( hash OBJECT
    ${HASH_INCLUDES}
    ghash.cc
    ghash.h
    hash_defs.h
    hashes.cc
    hash_lru_cache.cc
    hash_lru_cache.h
    hash_key_operations.cc
    lru_cache_shared.cc
    primetable.cc
    primetable.h
    xhash.cc
    zhash.cc
    zhash.h
)

install(FILES ${HASH_INCLUDES}
    DESTINATION "${INCLUDE_INSTALL_PATH}/hash"
)

add_subdirectory ( test )

=== src/memory/CMakeLists.txt ===
set (MEMCAP_INCLUDES
    heap_interface.h
    memory_cap.h
)

set ( MEMORY_SOURCES
    ${MEMCAP_INCLUDES}
    heap_interface.cc
    memory_cap.cc
    memory_config.h
    memory_module.cc
    memory_module.h
    memory_overloads.cc
    memory_overloads.h
)

set ( ALLOC_SOURCES
    memory_allocator.h
)

if ( ENABLE_MEMORY_PROFILER )
    list ( APPEND MEMORY_SOURCES ${ALLOC_SOURCES} )
endif ()

add_library ( memory OBJECT
    ${MEMORY_SOURCES}
)

install(FILES ${MEMCAP_INCLUDES}
    DESTINATION "${INCLUDE_INSTALL_PATH}/memory/"
)

add_subdirectory(test)

=== src/mime/CMakeLists.txt ===

set( MIME_INCLUDES
    decode_b64.h
    decode_base.h
    file_mime_config.h
    file_mime_decode.h
    file_mime_form_data.h
    file_mime_log.h
    file_mime_paf.h
    file_mime_process.h
)

add_library ( mime OBJECT
    ${MIME_INCLUDES}
    decode_b64.cc
    decode_base.cc
    decode_bit.cc
    decode_bit.h
    decode_buffer.cc
    decode_buffer.h
    decode_qp.cc
    decode_qp.h
    decode_uu.cc
    decode_uu.h
    file_mime_config.cc
    file_mime_context_data.cc
    file_mime_context_data.h
    file_mime_decode.cc
    file_mime_form_data.cc
    file_mime_log.cc
    file_mime_paf.cc
    file_mime_process.cc
)

install (FILES ${MIME_INCLUDES}
    DESTINATION "${INCLUDE_INSTALL_PATH}/mime"
)

add_subdirectory(test)

=== src/mp_transport/CMakeLists.txt ===
add_subdirectory(mp_unix_transport)

add_library( mp_transports OBJECT
    mp_transports.cc
    mp_transports.h
)

=== src/pub_sub/CMakeLists.txt ===
set (PUB_SUB_INCLUDES
    appid_debug_log_event.h
    appid_event_ids.h
    appid_events.h
    assistant_gadget_event.h
    cip_events.h
    daq_message_event.h
    data_decrypt_event.h
    dcerpc_events.h
    detection_events.h
    dhcp_events.h
    dns_events.h
    domain_fronting.h
    eof_event.h
    eve_process_event.h
    expect_events.h
    external_event_ids.h
    file_events_ids.h
    file_events.h
    finalize_packet_event.h
    ftp_events.h
    http_body_event.h
    http_event_ids.h
    http_events.h
    http_form_data_event.h
    http_publish_length_event.h
    http_request_body_event.h
    http_transaction_end_event.h
    intrinsic_event_ids.h
    netflow_event.h
    opportunistic_tls_event.h
    packet_events.h
    quic_events.h
    reputation_events.h
    rna_events.h
    shadowtraffic_aggregator.h
    sip_events.h
    smb_events.h
    ssh_events.h
    ssl_events.h
    stream_event_ids.h
    dns_payload_event.h
    deviceinfo_events.h
)

add_library( pub_sub OBJECT
    ${PUB_SUB_INCLUDES}
    cip_events.cc
    detection_events.cc
    dns_events.cc
    eof_event.cc
    http_body_event.cc
    http_events.cc
    http_form_data_event.cc
    http_request_body_event.cc
    http_transaction_end_event.cc
    quic_events.cc
    sip_events.cc
    ssh_events.cc
)

install (FILES ${PUB_SUB_INCLUDES}
    DESTINATION "${INCLUDE_INSTALL_PATH}/pub_sub"
)

add_subdirectory ( test )

=== tools/show_flows/CMakeLists.txt ===

add_executable( show_flows
    show_flows.cc
)

target_include_directories( show_flows
    PRIVATE
    ${PROJECT_SOURCE_DIR}/src
    ${PCAP_INCLUDE_DIR}
)
target_link_libraries( show_flows
    ${PCAP_LIBRARIES}
)

install (TARGETS show_flows
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(FILES README.show_flows
    DESTINATION "${CMAKE_INSTALL_DOCDIR}"
)

=== src/flow/test/CMakeLists.txt ===
add_cpputest( ha_test
    SOURCES flow_stubs.h
)

add_cpputest( deferred_trust_test
    SOURCES ../deferred_trust.cc
)

add_cpputest( flow_stash_test
    SOURCES ../flow_stash.cc
            ../../sfip/sf_ip.cc
)

add_cpputest( flow_control_test
    SOURCES ../flow_control.cc
            flow_stubs.h
)

add_cpputest( flow_cache_test
    SOURCES
        ../dump_flows.cc
        ../dump_flows_serializer.cc
        ../flow_cache.cc
        ../flow_control.cc
        ../flow_key.cc
        flow_stubs.h
        ../../hash/hash_key_operations.cc
        ../../hash/hash_lru_cache.cc
        ../../hash/primetable.cc
        ../../hash/xhash.cc
        ../../hash/zhash.cc
)

add_cpputest( session_test )

add_cpputest( flow_test
    SOURCES
        ../flow.cc
        ../flow_data.cc
        flow_stubs.h
)

=== src/managers/test/CMakeLists.txt ===
add_cpputest(get_inspector_test
    SOURCES
        get_inspector_stubs.h
        ../inspector_manager.cc
)

add_cpputest(mp_transport_manager_test
    SOURCES
        mp_transport_manager_test.cc
        ../mp_transport_manager.cc
        ../../framework/module.cc
)

=== debian/changelog ===
snort (3.10.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.10.2.0
  * Install new binary show_flows

 -- Sophie Brun <sophie@kali.org>  Mon, 26 Jan 2026 17:04:41 +0100

=== debian/control ===
Source: snort
Section: net
Priority: optional
XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Andrew Pollock <apollock@debian.org>
Build-Depends: 
    cmake,
    libnet1-dev, 
    libpcap0.8-dev, 
    libpcre2-dev, 
    debhelper-compat (= 13), 
    po-debconf (>= 0.5.0), 
    libdumbnet-dev, 
    libdaq3-dev (>= 3.0.24),
    flex, 
    bison,
    pkgconf,
    zlib1g-dev,
    liblzma-dev,
    libluajit-5.1-dev,
    libnghttp2-dev,
    libfl-dev,
    libhwloc-dev,
    libssl-dev
Build-Depends-Indep: 
    texlive, 
    texlive-binaries, 
    texlive-latex-base, 
    texlive-font-utils,
    latex2html,
    ghostscript
Standards-Version: 4.7.3
Homepage: https://www.snort.org/
XS-Debian-Vcs-Git: https://salsa.debian.org/jfs/pkg-snort.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/jfs/pkg-snort
Vcs-Git: https://gitlab.com/kalilinux/packages/snort.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/snort

Package: snort
Architecture: any
Pre-Depends: adduser (>= 3.11), ${misc:Pre-Depends}
Depends: 
    snort-common-libraries (>=${binary:Version}),
    snort-rules-default (>= ${source:Version}), 
    snort-common (>= ${source:Version}),
    debconf (>= 0.2.80) | debconf-2.0,
    rsyslog | system-log-daemon,
    logrotate,
    net-tools,
    ${shlibs:Depends},
    ${misc:Depends}
Conflicts: 
    snort-mysql, 
    snort-pgsql
Replaces: snort-common (<< 2.0.2-3)
Recommends: iproute2
Suggests: snort-doc
Description: flexible Network Intrusion Detection System
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This package provides the plain-vanilla version of Snort.

Package: snort-common
Architecture: all
Pre-Depends: adduser (>= 3.11), dpkg (>= 1.17.14), ${misc:Pre-Depends}
Depends: 
    perl, 
    debconf (>= 0.2.80) | debconf-2.0,
    ${shlibs:Depends},
    ${misc:Depends}
Conflicts: snort (<< ${binary:Version})
Replaces: snort (<< 1.8.4beta1-1)
Suggests: snort-doc
Description: flexible Network Intrusion Detection System - common files
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This is a common package which holds cron jobs, tools, and config files
 used by all the different package flavors.

Package: snort-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: flexible Network Intrusion Detection System - documentation
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This package provides the documentation for Snort.

Package: snort-rules-default
Provides: snort-rules
Architecture: all
Depends: 
    debconf (>= 0.2.80) | debconf-2.0, 
    adduser (>= 3.11), 
    ${shlibs:Depends}, 
    ${misc:Depends}
Suggests: snort (>= 2.2.0) | snort-pgsql (>= 2.2.0) | snort-mysql (>= 2.2.0)
Recommends: oinkmaster
Homepage: http://www.snort.org/snort-rules/
Description: flexible Network Intrusion Detection System - ruleset
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This is the Snort default ruleset, which provides a basic set of network
 intrusion detection rules developed by the Snort community. They can be
 used as a basis for development of additional rules. Users using Snort to
 defend networks in production environments are encouraged to update their
 local rulesets as described in the included documentation or using the
 oinkmaster package.

Package: snort-common-libraries
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: snort (>= 2.7.0) | snort-pgsql (>= 2.7.0) | snort-mysql (>= 2.7.0)
Conflicts: snort-common (<< 2.7.0-6)
Description: flexible Network Intrusion Detection System - libraries
 Snort is a libpcap-based packet sniffer/logger which can be used as a
 lightweight network intrusion detection system. It features rules-based
 logging and can perform content searching/matching in addition to
 detecting a variety of other attacks and probes, such as buffer
 overflows, stealth port scans, CGI attacks, SMB probes, and much more.
 Snort has a real-time alerting capability, with alerts being sent to
 syslog, a separate "alert" file, or even to a Windows computer via Samba.
 .
 This package provides libraries used by all the Snort binary packages.

=== debian/watch ===
Version: 5
Template: Github
Dist: https://github.com/snort3/snort3
Uversion-Mangle: auto
